Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 345 - ltconfig/libtool.m4 mismatch
Summary: ltconfig/libtool.m4 mismatch
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libtool
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-08 09:54 UTC by sailer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-09 16:28:22 UTC


Attachments (Terms of Use)

Description sailer 1998-12-08 09:54:57 UTC
libtool.m4 contains code to call ltconfig with
the --no-reexec flag, but ltconfig doesn't grok
that option.

Simply removing the --no-reexec flag *seems* work
around the problem.

Comment 1 Jay Turner 1998-12-09 16:28:59 UTC
The ltconfig code discards the --no-reexec option, and the effect is a
no-op, so this should not be causing problems in the system.

------- Additional Comments From   12/09/98 12:01 -------
The discarding of the --no-reexec option does not seem to work
reliably. Here's how to reproduce the error:
download http://ife.ee.ethz.ch/~sailer/linux/mikmod-3.1.2-0.src.rpm
rpm -i mikmod-3.1.2-0.src.rpm
rpm -ba -vv mikmod.spec

gives:
ltconfig: unrecognized option `--no-reexec'
Try `ltconfig --help' for more information.
configure: error: libtool configure failed
make: *** [config.status] Error 1
Bad exit status from /var/tmp/rpm-tmp.76279 (%build)


Note You need to log in before you can comment on or make changes to this bug.